KILLALL(1)

NAME
killall - kill processes by name

SYNOPSIS
killall [-iv] [-signal] name ...
killall [-l]

DESCRIPTION
killall sends a signal to all processes running any of the specified commands. If no signal name is specified, SIGTERM is sent.

Signals can be specified either by name (e.g. -HUP) or by number (e.g. -1).

killall returns a non-zero return code if no process has been killed for any of the listed commands. If at least one process has been killed for each command, killall returns zero.

OPTIONS

-i  Interactively ask for confirmation of killing.

-l  List all known signal names.

-v  Report if the signal was successfully sent.

FILES
/proc	location of the proc file system

SEE ALSO
kill(1), fuser(1), ps(1)

AUTHOR
Werner Almesberger <almesber@bernina.ethz.ch>